Bug 1032838 - [abrt] codeblocks-12.11-2.fc20: Unlock: Process /usr/bin/codeblocks was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] codeblocks-12.11-2.fc20: Unlock: Process /usr/bin/codeblocks was kille...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: codeblocks (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:51f190bffe56627bd175e83eb33...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 20:00 EST by Fang Junwei
Modified: 2015-06-30 08:27 EDT (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-30 08:27:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: needinfo? (dan)


Attachments (Terms of Use)
File: backtrace (45.15 KB, text/plain)
2013-11-20 20:00 EST, Fang Junwei
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-20 20:00 EST, Fang Junwei
no flags Details
File: core_backtrace (15.84 KB, text/plain)
2013-11-20 20:00 EST, Fang Junwei
no flags Details
File: dso_list (12.49 KB, text/plain)
2013-11-20 20:00 EST, Fang Junwei
no flags Details
File: environ (1.40 KB, text/plain)
2013-11-20 20:00 EST, Fang Junwei
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-20 20:00 EST, Fang Junwei
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-20 20:01 EST, Fang Junwei
no flags Details
File: maps (61.63 KB, text/plain)
2013-11-20 20:01 EST, Fang Junwei
no flags Details
File: open_fds (299 bytes, text/plain)
2013-11-20 20:01 EST, Fang Junwei
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-11-20 20:01 EST, Fang Junwei
no flags Details
File: var_log_messages (484 bytes, text/plain)
2013-11-20 20:01 EST, Fang Junwei
no flags Details

  None (edit)
Description Fang Junwei 2013-11-20 20:00:16 EST
Version-Release number of selected component:
codeblocks-12.11-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.11.6-301.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 Unlock at /usr/include/wx-2.8/wx/string.h:243
 #3 ~wxStringBase at /usr/include/wx-2.8/wx/string.h:396
 #4 ~wxString at /usr/include/wx-2.8/wx/string.h:659
 #5 ~pair at /usr/include/c++/4.8.1/bits/stl_pair.h:96
 #6 destroy at /usr/include/c++/4.8.1/ext/new_allocator.h:133
 #7 _M_destroy_node at /usr/include/c++/4.8.1/bits/stl_tree.h:395
 #8 std::_Rb_tree<wxString, std::pair<wxString const, SquirrelObject>, std::_Select1st<std::pair<wxString const, SquirrelObject> >, std::less<wxString>, std::allocator<std::pair<wxString const, SquirrelObject> > >::_M_erase at /usr/include/c++/4.8.1/bits/stl_tree.h:1127
 #9 __cxa_finalize at cxa_finalize.c:56
 #10 __do_global_dtors_aux at /lib64/libcodeblocks.so.0
 #11 ??
Comment 1 Fang Junwei 2013-11-20 20:00:33 EST
Created attachment 826902 [details]
File: backtrace
Comment 2 Fang Junwei 2013-11-20 20:00:37 EST
Created attachment 826903 [details]
File: cgroup
Comment 3 Fang Junwei 2013-11-20 20:00:42 EST
Created attachment 826904 [details]
File: core_backtrace
Comment 4 Fang Junwei 2013-11-20 20:00:46 EST
Created attachment 826905 [details]
File: dso_list
Comment 5 Fang Junwei 2013-11-20 20:00:50 EST
Created attachment 826906 [details]
File: environ
Comment 6 Fang Junwei 2013-11-20 20:00:55 EST
Created attachment 826907 [details]
File: exploitable
Comment 7 Fang Junwei 2013-11-20 20:01:02 EST
Created attachment 826908 [details]
File: limits
Comment 8 Fang Junwei 2013-11-20 20:01:09 EST
Created attachment 826909 [details]
File: maps
Comment 9 Fang Junwei 2013-11-20 20:01:13 EST
Created attachment 826910 [details]
File: open_fds
Comment 10 Fang Junwei 2013-11-20 20:01:17 EST
Created attachment 826911 [details]
File: proc_pid_status
Comment 11 Fang Junwei 2013-11-20 20:01:21 EST
Created attachment 826912 [details]
File: var_log_messages
Comment 12 Farid 2013-12-07 13:46:42 EST
chaque demmarrage de Skype et il m'est un son qui ne cesse pas de s'arreter...

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.11.10-300.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         Process /usr/bin/codeblocks was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 A.J. Bonnema 2013-12-29 04:54:28 EST
Another user experienced a similar problem:

I opened up an existing project with a very simple program in it and no external dependencies. 
When I closed the program it dumped core. I had not done anything special, not even compiled, just checked out sources
that were already open when I opened the project.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.12.5-302.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 thegreatgotz 2014-01-05 13:29:34 EST
Another user experienced a similar problem:

Opened the app, then closed it with no modification, and the crash message appeared.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.12.6-300.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Isaias Lourenco 2014-01-11 12:51:04 EST
Another user experienced a similar problem:

just exited the application

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.12.6-300.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Sparsa 2014-01-12 11:16:24 EST
Another user experienced a similar problem:

suddenly crashed when I want to close the program

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.12.6-300.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 mithrial 2014-02-18 09:59:48 EST
Another user experienced a similar problem:

I saved my session and exited CodeBlocks.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.13.3-201.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Efix 2014-02-23 19:04:37 EST
Another user experienced a similar problem:

Incident survenu lors de la fermeture de code::blocks.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.13.3-201.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Efix 2014-02-28 20:01:00 EST
Another user experienced a similar problem:

Open and close code::blocks via the menu.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.13.3-201.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 20 Christopher Meng 2014-02-28 21:52:18 EST
This bug has been fixed in 13.12 version which is not pushed to f20.

Dan, any plan?
Comment 21 Kristjan Stefansson 2014-03-25 00:58:01 EDT
Another user experienced a similar problem:

First time running the application, ran a template program and exited

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        /usr/bin/codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.13.6-200.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 22 root-kits 2014-04-17 00:02:57 EDT
Another user experienced a similar problem:

just installed codeblocks, noticed an error found in package codeblocks

reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.13.9-200.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 23 Andrei Dragomirescu 2014-08-21 06:45:20 EDT
Another user experienced a similar problem:

The problem occured when I closed codeblocks. Maybe I should mention that I started the program in a terminal window.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.15.6-200.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 24 John McInnes 2014-10-11 03:22:18 EDT
Me too. :/
Comment 25 Cristian Ciupitu 2014-11-23 05:37:58 EST
According to ABRT it happened to me too when I closed codeblocks after a debug session of a very simple C program (hello world).
Comment 26 Chris 2015-02-10 14:05:17 EST
Another user experienced a similar problem:

The problem occured when I was simply closing the window. In point of fact, I didn't know that there was a problem at all before the bug report tool popped up.

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        codeblocks
crash_function: Unlock
executable:     /usr/bin/codeblocks
kernel:         3.17.8-200.fc20.x86_64
package:        codeblocks-12.11-2.fc20
reason:         codeblocks killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 27 Fedora End Of Life 2015-05-29 05:49:08 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 28 Jaroslav Reznik 2015-06-30 08:27:16 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.